CKEditor 5 markdown editor build
========================================

[![npm version](https://badge.fury.io/js/%40jdinabox%2Fckeditor5-build-markdown.svg)](https://badge.fury.io/js/%40jdinabox%2Fckeditor5-build-markdown)
[![npm downloads](https://img.shields.io/npm/dt/@jdinabox/ckeditor5-build-markdown)](https://www.npmjs.com/package/@jdinabox/ckeditor5-build-markdown)
<br>
[![Dependency Status](https://david-dm.org/jdinabox/ckeditor5-build-markdown/status.svg)](https://david-dm.org/jdinabox/ckeditor5-build-markdown)
[![devDependency Status](https://david-dm.org/jdinabox/ckeditor5-build-markdown/dev-status.svg)](https://david-dm.org/jdinabox/ckeditor5-build-markdown?type=dev)

Based on the classic editor build for CKEditor 5. Read more about the [classic editor build](https://ckeditor.com/docs/ckeditor5/latest/builds/guides/overview.html#classic-editor) and see the [demo](https://ckeditor.com/docs/ckeditor5/latest/examples/builds/classic-editor.html).

![CKEditor 5 classic editor build screenshot](https://c.cksource.com/a/1/img/npm/ckeditor5-build-classic.png)

## Documentation (for classic editor build)

See:

* [Installation](https://ckeditor.com/docs/ckeditor5/latest/builds/guides/integration/installation.html) for how to install this package and what it contains.
* [Basic API](https://ckeditor.com/docs/ckeditor5/latest/builds/guides/integration/basic-api.html) for how to create an editor and interact with it.
* [Configuration](https://ckeditor.com/docs/ckeditor5/latest/builds/guides/integration/configuration.html) for how to configure the editor.
* [Creating custom builds](https://ckeditor.com/docs/ckeditor5/latest/builds/guides/development/custom-builds.html) for how to customize the build (configure and rebuild the editor bundle).

## Quick start

**First, install the build**:

```bash
npm install --save @jdinabox/ckeditor5-build-markdown
```
```bash
yarn add @jdinabox/ckeditor5-build-markdown
```

**And use it in your website**:

```html
<div id="editor">
	<p>This is the editor content.</p>
</div>
<script src="./node_modules/@jdinabox/ckeditor5-build-markdown/build/ckeditor.js"></script>
<script>
	MarkdownEditor
		.create( document.querySelector( '#editor' ) )
		.then( editor => {
			window.editor = editor;
		} )
		.catch( error => {
			console.error( 'There was a problem initializing the editor.', error );
		} );
</script>
```

**Or in your JavaScript application**:

```js
import MarkdownEditor from '@jdinabox/ckeditor5-build-markdown';

// Or using the CommonJS version:
// const MarkdownEditor = require( '@jdinabox/ckeditor5-build-markdown' );

MarkdownEditor
	.create( document.querySelector( '#editor' ) )
	.then( editor => {
		window.editor = editor;
	} )
	.catch( error => {
		console.error( 'There was a problem initializing the editor.', error );
	} );
```

### Setting Data
```js
editor.setData('## Markdown Heading');
```

### Getting Data
```js
editor.getData();
```

**Note:** If you are planning to integrate CKEditor 5 deep into your application, it is actually more convenient and recommended to install and import the source modules directly (like it happens in `ckeditor.js`). Read more in the [Advanced setup guide](https://ckeditor.com/docs/ckeditor5/latest/builds/guides/integration/advanced-setup.html).

## License

Licensed under the terms of [GNU General Public License Version 2 or later](http://www.gnu.org/licenses/gpl.html). For full details about the license, please check the `LICENSE.md` file or [https://ckeditor.com/legal/ckeditor-oss-license](https://ckeditor.com/legal/ckeditor-oss-license).
